#!/bin/bash
#--------------------------------------------
# 远程登录部署服务器，拉取对应aws镜像，通过laihua_compose启动有更新的镜像
# author：pc
#--------------------------------------------

imageName=${1}
imageTag=${2}
ssh -tt -p 22 ubuntu@52.83.232.6 "bash -s $imageName $imageTag" <<-'EOF'
login_register_cmd=`aws ecr get-login --region cn-northwest-1 | sed 's/-e none/''/g'`
eval $login_register_cmd
docker pull 551975756714.dkr.ecr.cn-northwest-1.amazonaws.com.cn/${1}:${2}

cd /var/www/laihua_compose
sh ./build.sh --webh5-version ${2}
exit
EOF
