export default ({ app }, inject) => {
    /**
     * Inject $hello(msg) in Vue, context and store.
     * mounted: this.$hello()
     * asyncData: ctx.app.$hello()  ctx.$hello()
     * vuex actions: this.$hello()
     */
    inject('fn', msg => console.log(`Hello ${msg || 'slevin'}!`))
    inject('string', 'im a inject string')
}
