export const state = () => ({
    list: [1, 2, 3]
})

export const getters = {
    listReverse: state => state.list.slice().reverse()
}

export const mutations = {
    pushList (state, payload) {
        state.list.push(payload)
    },

    popList (state, payload) {
        state.list.pop()
    },

    reverseList (state, payload) {
        state.list = state.list.reverse()
    }
}

export const actions = {}
